summary refs log tree commit diff
path: root/x11-wm
diff options
context:
space:
mode:
authorAzat Bahawi <azahi@teknik.io>2020-11-26 01:10:23 +0300
committerAzat Bahawi <azahi@teknik.io>2020-11-26 01:10:26 +0300
commit6ad2709c83395de1dc2760d58fa6174526645bbf (patch)
tree79ff104e2881c0f05a387af51bd47ab2d38315b8 /x11-wm
parentx11-wm/9wm: Fix CC exporting in build (diff)
x11-wm/custard: Fix build
Only builds with MAKEOPTS="-j1"

Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Azat Bahawi <azahi@teknik.io>
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/custard/custard-9999-r1.ebuild (renamed from x11-wm/custard/custard-9999.ebuild)25
1 files changed, 22 insertions, 3 deletions
diff --git a/x11-wm/custard/custard-9999.ebuild b/x11-wm/custard/custard-9999-r1.ebuild
index a835d0b..f6b7496 100644
--- a/x11-wm/custard/custard-9999.ebuild
+++ b/x11-wm/custard/custard-9999-r1.ebuild
@@ -4,10 +4,12 @@
 EAPI=7
 
 if [[ ${PV} == *9999 ]]; then
-	inherit git-r3
+	SCM="git-r3"
 	EGIT_REPO_URI="https://github.com/comfies/custard.git"
 fi
 
+inherit toolchain-funcs "${SCM}"
+
 DESCRIPTION="Manual tiling window manager"
 HOMEPAGE="https://github.com/comfies/custard"
 
@@ -31,7 +33,24 @@ DEPEND="
 RDEPEND="${DEPEND}"
 BDEPEND=""
 
+src_prepare() {
+	default
+
+	sed -e 's/^CFLAGS.*=/CFLAGS +=/' \
+		-e 's/ -O2//' \
+		-e 's/^CPPFLAGS.*=/CPPFLAGS +=/' \
+		-e 's/^LDFLAGS.*=/LDFLAGS +=/' \
+		-i Makefile || die
+}
+
+src_compile() {
+	emake \
+		CC="$(tc-getCC)"
+}
+
 src_install() {
-	emake install DESTDIR="${D}" PREFIX="/usr"
-	newman man/custard.man ${PN}.1
+	emake install \
+		DESTDIR="${D}" \
+		PREFIX="${EPREFIX}/usr"
+	newman man/${PN}.man ${PN}.1
 }

Consider giving Nix/NixOS a try! <3